Bug 183945 - cannot get core during netdump on a Thinkpad T41
cannot get core during netdump on a Thinkpad T41
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: netdump (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-03 18:32 EST by Chris Tatman
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-08 14:46:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs from /var/crash on netdump server for netdump client (3.04 KB, application/x-gzip)
2006-03-03 18:32 EST, Chris Tatman
no flags Details
This is the upstream fix for the netpoll recursion problem (2.13 KB, patch)
2006-06-14 12:47 EDT, Neil Horman
no flags Details | Diff

  None (edit)
Description Chris Tatman 2006-03-03 18:32:29 EST
Description of problem:
Whenever I try to force a netdump via sysrq "c" option, I get logs in /var/crash
on the netdump-server, but no core dumps.  The client is a Thinkpad T41 laptop
running FC5 Test3 and the server is RHEL4-U2 AS2.  This laptop ran RHEL3 WS, and
netdump worked just fine.  Server has more then ample free disk space in the
/var filesystem.

Version-Release number of selected component (if applicable):
client- netdump-0.7.14-1.2.1
server- netdump-server-0.7.7-3

How reproducible:
Every time

Steps to Reproduce:
1.  Install FC5 Test3 on IBM T41 Thinkpad
2.  Set up netdump and sysrq
3.  Manually force crash on client via sysrq ctrl+alt+PrtSc+c
  
Actual results:
Client hangs while performing handshake with server- I have to manually power
cycle it.  I allowed it to run overnight once.

Expected results:
A complete netdump with logs and core file on the server.

Additional info:
****Client Side Console******
I see the following on the laptop console:
Continuing in 120 seconds, and counts down.  
CPU#0 is executing netdump
< netdump activated - performing handshake with the server. >

****Server syslog*****
Mar  3 18:11:27 blacksamba netdump[27312]: Got too many timeouts in handshaking,
ignoring client 192.168.1.99
Mar  3 18:11:30 blacksamba netdump[27312]: Got too many timeouts waiting for
SHOW_STATUS for client  192.168.1.99, rebooting it
Mar  3 18:12:19 blacksamba netdump[27312]: Got too many timeouts in handshaking,
ignoring client 192.168 .1.99
Mar  3 18:12:22 blacksamba netdump[27312]: Got too many timeouts waiting for
SHOW_STATUS for client 192. 168.1.99, rebooting it

I did a google search and found the following thread pertaining to e1000
devices: (possibly related?)
http://www.uwsg.iu.edu/hypermail/linux/kernel/0511.1/2140.html
Comment 1 Chris Tatman 2006-03-03 18:32:29 EST
Created attachment 125631 [details]
logs from /var/crash on netdump server for netdump client
Comment 2 Chris Tatman 2006-04-12 14:59:51 EDT
Hey,

Still seeing this issue in FC5 Gold.  I was just going through the FC5 bugs for
netdump and found the following:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=188185

Sounds like the same thing I saw with FC5-test3 and Gold.  Let me know if you
come up with anything I can help test out.

Thanks!  
Comment 3 Neil Horman 2006-06-08 07:49:47 EDT
This sounds like bz193688.  We're working on an upstream fix right now, and I'll
see to that it gets ported into the FC update once we settle on what the fix is
going to be.
Comment 4 Neil Horman 2006-06-14 12:47:42 EDT
Created attachment 130877 [details]
This is the upstream fix for the netpoll recursion problem

Could you please run a kernel with this patch included and verify that it fixes
your problem?  Thanks
Comment 6 Matthew Miller 2007-04-06 15:23:25 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]

Note You need to log in before you can comment on or make changes to this bug.